Extending Qt Creator Manual | VcsManager

Extending Qt Creator Manual 4.5.2

# VcsManager Class

(Core::VcsManager)

- List of all members, including inherited members

## Signals

void | configurationChanged(const IVersionControl *vcs)
void | repositoryChanged(const QString &repository)

## Static Public Members

void | clearVersionControlCache()
void | emitRepositoryChanged(const QString &repository)
void | extensionsInitialized()
QString | findTopLevelForDirectory(const QString &directory)
IVersionControl * | findVersionControlForDirectory(const QString &directory, QString *topLevelDirectory = 0)
VcsManager * | instance()
QString | msgAddToVcsFailedTitle()
QString | msgAddToVcsTitle()
QString | msgPromptToAddToVcs(const QStringList &files, const IVersionControl *vc)
QString | msgToAddToVcsFailed(const QStringList &files, const IVersionControl *vc)
void | promptToAdd(const QString &directory, const QStringList &fileNames)
bool | promptToDelete(const QString &fileName)
bool | promptToDelete(IVersionControl *versionControl, const QString &fileName)
T * | registerVersionControl(Args &&... args)
QStringList | repositories(const IVersionControl *)
void | resetVersionControlForDirectory(const QString &inputDirectory)
IVersionControl * | versionControl(Id id)
const QList<IVersionControl *> | versionControls()

## Member Function Documentation

### `[static]` void VcsManager::clearVersionControlCache()

### `[signal]` void VcsManager::configurationChanged(const IVersionControl *vcs)

### `[static]` void VcsManager::emitRepositoryChanged(const QString &repository)

### `[static]` void VcsManager::extensionsInitialized()

### `[static]` QString VcsManager::findTopLevelForDirectory(const QString &directory)

### `[static]` IVersionControl *VcsManager::findVersionControlForDirectory(const QString &directory, QString *topLevelDirectory = 0)

### `[static]` VcsManager *VcsManager::instance()

### `[static]` QString VcsManager::msgAddToVcsFailedTitle()

### `[static]` QString VcsManager::msgAddToVcsTitle()

### `[static]` QString VcsManager::msgPromptToAddToVcs(const QStringList &files, const IVersionControl *vc)

### `[static]` QString VcsManager::msgToAddToVcsFailed(const QStringList &files, const IVersionControl *vc)

### `[static]` void VcsManager::promptToAdd(const QString &directory, const QStringList &fileNames)

### `[static]` bool VcsManager::promptToDelete(const QString &fileName)

### `[static]` bool VcsManager::promptToDelete(IVersionControl *versionControl, const QString &fileName)

### `[static]` T *VcsManager::registerVersionControl(Args &&... args)

### `[static]` QStringList VcsManager::repositories(const IVersionControl *)

### `[signal]` void VcsManager::repositoryChanged(const QString &repository)

### `[static]` void VcsManager::resetVersionControlForDirectory(const QString &inputDirectory)

### `[static]` IVersionControl *VcsManager::versionControl(Id id)

### `[static]` const QList<IVersionControl *> VcsManager::versionControls()